//
//  U2USimpleTableViewController.m
//  SimpleTableView
//
//  Created by Peter Himschoot on 9/9/12.
//  Copyright (c) 2012 U2U. All rights reserved.
//

#import "U2USimpleTableViewController.h"
#import "U2UTableViewCell.h"

@interface U2USimpleTableViewController ()

@property (nonatomic, strong) NSArray *listOfMovies;

@end

@implementation U2USimpleTableViewController

@synthesize listOfMovies = _listOfMovies;

- (NSArray*) listOfMovies {
  
  if( _listOfMovies == nil )
  {
    _listOfMovies = @[ @"Toy Story", @"Shrek", @"The Incredibles",
    @"Monsters and Co", @"Finding Nemo",
    @"Aliens vs Monsters", @"Ice Age" ];
  }
  return _listOfMovies;
}

- (id)initWithStyle:(UITableViewStyle)style
{
  self = [super initWithStyle:style];
  if (self) {
    // Custom initialization
  }
  return self;
}

- (void)viewDidLoad
{
  [super viewDidLoad];
  
  // Uncomment the following line to preserve selection between presentations.
  // self.clearsSelectionOnViewWillAppear = NO;
  
  // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
  // self.navigationItem.rightBarButtonItem = self.editButtonItem;
}

- (void)viewDidUnload
{
  [super viewDidUnload];
  // Release any retained subviews of the main view.
  // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
  return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

#pragma mark - Table view data source

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
  // Return the number of rows in the section.
  return self.listOfMovies.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
  //  static NSString *CellIdentifier = @"MovieCell";
  static NSString *CellIdentifier = @"U2UTableViewCell";
  // UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
  U2UTableViewCell *cell =
    [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
  
  //if (cell == nil) {
  //  cell = [[UITableViewCell alloc]
  //         initWithStyle:UITableViewCellStyleDefault
  //        reuseIdentifier:CellIdentifier];
  //}
  
  // Configure the cell...
  // cell.textLabel.text =
  // [self.listOfMovies objectAtIndex:indexPath.row];
  
  cell.movieTitle.text =
    [self.listOfMovies objectAtIndex:indexPath.row];
  
  return cell;
}

/*
 // Override to support conditional editing of the table view.
 - (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath
 {
 // Return NO if you do not want the specified item to be editable.
 return YES;
 }
 */

/*
 // Override to support editing the table view.
 - (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
 {
 if (editingStyle == UITableViewCellEditingStyleDelete) {
 // Delete the row from the data source
 [tableView deleteRowsAtIndexPaths:@[indexPath] withRowAnimation:UITableViewRowAnimationFade];
 }
 else if (editingStyle == UITableViewCellEditingStyleInsert) {
 // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
 }
 }
 */

/*
 // Override to support rearranging the table view.
 - (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath
 {
 }
 */

/*
 // Override to support conditional rearranging of the table view.
 - (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath
 {
 // Return NO if you do not want the item to be re-orderable.
 return YES;
 }
 */

#pragma mark - Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
  // Navigation logic may go here. Create and push another view controller.
  /*
   <#DetailViewController#> *detailViewController = [[<#DetailViewController#> alloc] initWithNibName:@"<#Nib name#>" bundle:nil];
   // ...
   // Pass the selected object to the new view controller.
   [self.navigationController pushViewController:detailViewController animated:YES];
   */
}

- (CGFloat)tableView:(UITableView *)tableView
heightForRowAtIndexPath:(NSIndexPath *)indexPath
{
  return 60;
}

@end
